"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processOperation = void 0;
const core_1 = require("@takomo/core");
const deployment_group_1 = require("./deployment-group");
const processOperation = async (holder) => {
    const { timer, io, plan, input } = holder;
    const childTimer = timer.startChild("process");
    const results = new Array();
    io.info("Process operation");
    const state = { failed: false };
    for (const group of plan.groups) {
        const result = await (0, deployment_group_1.processDeploymentGroup)(holder, group, childTimer.startChild(group.name), state);
        results.push(result);
    }
    childTimer.stop();
    return {
        ...(0, core_1.resolveCommandOutputBase)(results),
        results,
        outputFormat: input.outputFormat,
        timer: childTimer,
    };
};
exports.processOperation = processOperation;
//# sourceMappingURL=index.js.map